Перейти до вмісту
AstroWay/api v2.19.0 · docs
усі системи в нормі
UA EN

Explain Transit

POST
/ai/explain-transit

Explain a current transit hitting your natal chart.

curl -X POST https://api.astroway.info/v1/ai/explain-transit \
-H "X-Api-Key: aw_live_..." \
-H "Content-Type: application/json" \
-d '{ "transitPlanet": "Saturn", "natalPlanet": "Sun", "aspect": "conjunction" }'
object
chart
required

Birth data for a single natal chart. Required: date (YYYY-MM-DD), time (HH:mm:ss). Defaults to lat/lon/tz=0 if omitted; pass real values for accurate computation.

object
date
required
string
/^\d{4}-\d{2}-\d{2}$/
time
required
string
/^\d{2}:\d{2}:\d{2}$/
timezoneOffset
number
0 nullable
latitude
number
0 nullable
longitude
number
0 nullable
houseSystem
string
default: P
name
string
""
city
string
""
zodiacType
string
Allowed values: tropical sidereal
ayanamsaId
number
nullable
cosmogram
boolean
key
additional properties
nullable
transitDate
required
string
/^\d{4}-\d{2}-\d{2}$/
transitPlanet
required
string
>= 2 characters <= 40 characters
natalPlanet
required
string
>= 2 characters <= 40 characters
aspectType
required
string
Allowed values: Conjunction Sextile Square Trine Opposition
language
string
default: uk
Allowed values: uk en de ru pl es pt hi fr ko it ja id tr nl ro cs vi ar el hu
Example
{
"transitPlanet": "Saturn",
"natalPlanet": "Sun",
"aspect": "conjunction"
}

Successful calculation

object
ok
boolean
Example
true
data
object
explanation
string
Example
{
"ok": true,
"data": {
"explanation": "..."
}
}

Validation error

Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}
Корисно?